Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1571592 - Orchestration tab not present in horizon
Summary: Orchestration tab not present in horizon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 13.0 (Queens)
Assignee: Beth White
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks: 1667902
TreeView+ depends on / blocked
 
Reported: 2018-04-25 07:51 UTC by Yolanda Robla
Modified: 2019-03-14 13:54 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.2.0-6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1667902 (view as bug list)
Environment:
Last Closed: 2019-03-14 13:54:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 563880 0 None MERGED Enable heat-ui plugin for horizon by default 2020-07-25 06:55:06 UTC
OpenStack gerrit 564419 0 None MERGED Enable heat-ui plugin for horizon by default 2020-07-25 06:55:05 UTC
Red Hat Knowledge Base (Solution) 3508751 0 None None None 2018-06-29 11:40:52 UTC
Red Hat Product Errata RHBA-2019:0448 0 None None None 2019-03-14 13:54:58 UTC

Description Yolanda Robla 2018-04-25 07:51:09 UTC
Description of problem:

On queens, the orchestration tab has been removed by default from Horizon in a TripleO deployment. It is due to the movement to containers and can be parameterized, but is confusing to the end customers, as orchestration was present by default on previous versions.
The only way to enable orchestration now is touch that file:
https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/horizon.yaml#L145

And add ENABLE_HEAT=yes to the list

But this is not documented, and it also will suppose that customers have to clone that template. It would be much better to have this list parameterized, and that the list of enabled plugins could be populated using a TripleO parameter, such being able to pass a list to the plugins that need to be enabled in Horizon.

Comment 7 godfrey_tan2001 2018-05-17 08:00:11 UTC
Hi,

Which directory should horizon.yaml be in for Orchestration tab to appear?

I have All-in-One Queens and Orchestration tab is missing.

Comment 8 Radomir Dopieralski 2018-05-17 08:25:15 UTC
I don't understand the question.

Comment 9 godfrey_tan2001 2018-05-23 02:33:05 UTC
Hi,

After I installed Openstack Packstack Allinone, the Orchestration tab in Horizon dashboard is missing eventhough HEAT/Orchestration seems to be running. This article seems to indicate a solution.

Hence, is there a place in Packstack that I should place the horizon.yaml file?

Comment 10 Radomir Dopieralski 2018-05-23 06:25:39 UTC
The horizon.yaml is used by tripleo when deploying horizon in a container. Packstack doesn't use it. To get the orchestration tab in packstack, simply install the openstack-heat-ui package.

Comment 11 godfrey_tan2001 2018-05-23 09:14:31 UTC
Hi Radomir,

Thanks so much.  It's worked.

Comment 19 errata-xmlrpc 2019-03-14 13:54:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0448


Note You need to log in before you can comment on or make changes to this bug.